var pbmup_preferencesService = null;

function pbmup_getPreferencesService()
{
    // If the preferences service is not set
    if(!pbmup_preferencesService)
    {
        pbmup_preferencesService = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("");
    }

    return pbmup_preferencesService;
}

function pbmup_isPreferenceSet(preference)
{
    if(preference)
    {
        return pbmup_getPreferencesService().prefHasUserValue(preference);
    }

    return false;
}

function pbmup_deletePreference(preference)
{
    if(preference)
    {
        if(pbmup_isPreferenceSet(preference))
        {
            pbmup_getPreferencesService().clearUserPref(preference);
        }
    }
}

function pbmup_setStringPreference(preference, value) {
	if(preference) {
		var supportsStringInterface = Components.interfaces.nsISupportsString;
        var string                  = Components.classes["@mozilla.org/supports-string;1"].createInstance(supportsStringInterface);

        string.data = value;

        pbmup_getPreferencesService().setComplexValue(preference, supportsStringInterface, string);
    }
}

function pbmup_setcookie(name, value, host, path, expires, scheme) {
	var cookieService = Components.classes["@mozilla.org/cookieService;1"].getService().QueryInterface(Components.interfaces.nsICookieService);
	var cookie        = "";
	var uri           = null;

	cookie = name + "=" + value + ";";
    cookie += "domain=" + host + ";";
	cookie += "path=" + path + ";";
	cookie += "expires=" + expires + ";";
	
	uri = Components.classes["@mozilla.org/network/io-service;1"].getService(Components.interfaces.nsIIOService).newURI(scheme + host + path, null, null);
	
	cookieService.setCookieString(uri, null, cookie, null);
}
 
function pbmup_Ligar() {
	var scheme        = "http://";
	var host          = "www.megaupload.com";
	var path          = "/";
	var uri           = null;
    var expires       = "Fri Jun 06 2036 00:00:00 GMT-0300 (Hora oficial do Brasil)";
    var expiresDate   = new Date(expires);
	
	pbmup_setcookie("megauploadtoolbar_id", "F166747691F74CADBFD1D64BB3F12EF5", host, path, expiresDate, scheme);
	pbmup_setcookie("megauploadtoolbar_visible", "yes", host, path, expiresDate, scheme);
	pbmup_setcookie("l", "en", host, path, expiresDate, scheme);
	pbmup_setcookie("toolbar", "1", host, path, expiresDate, scheme);

	host = "www.sexuploader.com";

	pbmup_setcookie("megauploadtoolbar_id", "F166747691F74CADBFD1D64BB3F12EF5", host, path, expiresDate, scheme);
	pbmup_setcookie("megauploadtoolbar_visible", "yes", host, path, expiresDate, scheme);
	pbmup_setcookie("l", "en", host, path, expiresDate, scheme);
	pbmup_setcookie("toolbar", "1", host, path, expiresDate, scheme);

	host = "www.megarotic.com";

	pbmup_setcookie("megauploadtoolbar_id", "F166747691F74CADBFD1D64BB3F12EF5", host, path, expiresDate, scheme);
	pbmup_setcookie("megauploadtoolbar_visible", "yes", host, path, expiresDate, scheme);
	pbmup_setcookie("l", "en", host, path, expiresDate, scheme);
	pbmup_setcookie("toolbar", "1", host, path, expiresDate, scheme);

	pbmup_setStringPreference("general.useragent.override", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; MEGAUPLOAD 1.0)");
}

function pbmup_Desligar() {
	pbmup_deletePreference("general.useragent.override");
}

pbmup_Desligar();